if(BUILD_blinken)
  macro_optional_add_subdirectory(blinken)
endif()

if(BUILD_cantor)
  macro_optional_add_subdirectory(cantor)
endif()

if(BUILD_kalzium)
  macro_optional_add_subdirectory(kalzium)
endif()

if(BUILD_kanagram)
  macro_optional_add_subdirectory(kanagram)
endif()

if(BUILD_kbruch)
  macro_optional_add_subdirectory(kbruch)
endif()

if(BUILD_kgeography)
  macro_optional_add_subdirectory(kgeography)
endif()

if(BUILD_khangman)
  macro_optional_add_subdirectory(khangman)
endif()

if(BUILD_kig)
  macro_optional_add_subdirectory(kig)
endif()

if(BUILD_kiten)
  macro_optional_add_subdirectory(kiten)
endif()

if(BUILD_klettres)
  macro_optional_add_subdirectory(klettres)
endif()

if(BUILD_kmplot)
  macro_optional_add_subdirectory(kmplot)
endif()

if(BUILD_kstars)
  macro_optional_add_subdirectory(kstars)
endif()

if(BUILD_ktouch)
  macro_optional_add_subdirectory(ktouch)
endif()

if(BUILD_kturtle)
  macro_optional_add_subdirectory(kturtle)
endif()

if(BUILD_parley)
  macro_optional_add_subdirectory(parley)
endif()

if(BUILD_marble)
  macro_optional_add_subdirectory(marble)
endif()

if(BUILD_kalgebra)
  macro_optional_add_subdirectory(kalgebra)
endif()

if(BUILD_kwordquiz)
  macro_optional_add_subdirectory(kwordquiz)
endif()

if(BUILD_step)
  macro_optional_add_subdirectory(step)
endif()

if(BUILD_rocs)
  macro_optional_add_subdirectory(rocs)
endif()

